Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation
Interface BusinessPolicyManager

public interface BusinessPolicyManager

The Business Policy Manager provides an interface by which a set of Business Policies can be associated with any object that implements it.

See Also:
  `BusinessPolicy`

Method Summary
`void` | `addBusinessPolicy(java.lang.String policyKey, BusinessPolicy businessPolicy)` Add a new business policy to the object with the specified key
`BusinessPolicy` | `getBusinessPolicy(java.lang.String policyKey)` Retrieve the business policy with the specified key.
`BusinessPolicy` | `removeBusinessPolicy(java.lang.String policyKey)` Remove the business policy with the specified key.

Method Detail

### addBusinessPolicy

    public void addBusinessPolicy(java.lang.String policyKey,
                                  BusinessPolicy businessPolicy)
                           throws SystemException,
                                  java.rmi.RemoteException

  Add a new business policy to the object with the specified key

### getBusinessPolicy

    public BusinessPolicy getBusinessPolicy(java.lang.String policyKey)
                                     throws SystemException,
                                            java.rmi.RemoteException

  Retrieve the business policy with the specified key.

### removeBusinessPolicy

    public BusinessPolicy removeBusinessPolicy(java.lang.String policyKey)
                                        throws SystemException,
                                               java.rmi.RemoteException

  Remove the business policy with the specified key.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved